Page 1 of 5 123 ... LastLast
Results 1 to 10 of 44

Thread: Viber. Не запускается

  1. #1

    Default Viber. Не запускается

    Господа (и дамы)!

    Помогите, пожалуйста! Не запускается Viber и ничего с этим поделать не могу.

    Скажу сразу, в Линуксе - новичок!

    Но тут уже удалось кое-что нарыть:
    https://forums.opensuse.org/showthre...tall-Viber-(1)
    К сожалению, не помогло.

    Пробовал создавать кучу ссылок:
    ln -s /usr/lib64/libcrypto.so.1 /usr/lib64/libcrypto.so.10
    ln -s /lib64/libcrypt-2.22.so /usr/lib64/libcrypto.so.10
    ln -s /lib64/libcrypt-2.22.so /usr/lib64/libcrypto.so.10
    ln -s /lib64/libcrypto.so.1.0.0 /usr/lib64/libcrypto.so.10
    ln -s /lib64/libcrypto.so.1.0.0 /lib64/libcrypto.so.10
    ln -s /lib64/libcrypto.so.1.0.0 /lib64/libcrypto.so.10
    Безрезультатно!

    Может что-то упустил? Есть подозрение, что там не только в этой библиотеке проблема.

    Я понимаю, что у такого большего сообщества, не может быть не установлен Viber.
    Поэтому, прошу, поделитесь сим секретом, как можно установить Viber на OpenSUSE 42.3 XFCE.

    P.S.
    Писал в техподдержку Viber, сказали не знаем такого дистрибутива (OpenSUSE) и знать не хотим.

    Поэтому на вас последняя надежда!

  2. #2
    Join Date
    Jan 2011
    Location
    Vladivostok
    Posts
    633

    Default Re: Viber. Не запускается. OpenSUSE 42.3 XFCE

    покажите вывод

    Code:
    ldd /opt/viber/Viber
    >>Писал в техподдержку Viber, сказали не знаем такого дистрибутива (OpenSUSE) и знать не хотим.
    я бы пожаловался на них за это в какое-нибудь спортлото

  3. #3

    Post Re: Viber. Не запускается. OpenSUSE 42.3 XFCE

    Вот, пожалуйста:
    http://paste.opensuse.org/54074314

  4. #4

    Default Re: Viber. Не запускается. OpenSUSE 42.3 XFCE

    Ну что ж, я смотрю, тут форум аж разрывает от желающих помочь...
    Поэтому буду писать сюда все свои победы и поражения в войне с установкой Вайбера на OpenSUSE 42.3.
    Возможно кому-то это поможет. Будет такой себе блог, а что делать, если русскоязычное сообщество у этого дистра совсем никакое...

  5. #5

    Default Re: Viber. Не запускается. OpenSUSE 42.3 XFCE

    Итак, при установке на свежий (!) OpenSUSE 42.3, программа устанавливается (с оговорками), но не запускается.

    Оговорки: нажать "2", "y", "i" (при установке через Терминал: zypper in ~/Загрузки/viber.rpm).
    https://drive.google.com/open?id=1m6...M4hvrjDnrWMKtI

    Дальше у нас начинает требоваться библиотека libpulse-mainloop-glib.so.0
    https://drive.google.com/open?id=1EA...dZ65w4kF7WeL9e

    Ок, идем в YaST, и там находим libpulse-mainloop-glib0. Других вариантов нет.
    Как вы видите, название не полностью совпадает, но я с надеждой устанавливаю. Т.к. в противном случае программа вообще не запускается.
    https://drive.google.com/open?id=1-j...oHXLiqyTPj4Y5l

    И что мы в результате получаем?
    https://drive.google.com/open?id=1NJ...6raU-jB0_Ox2-y
    https://paste.opensuse.org/8983246

    Пока что, как с этим бороться, не знаю.
    Первый раз, когда я эту процедуру проделывал, то после libpulse*, программа запустилась. Но там начался очередной геморрой: программа не могла считать QR-код через приложение на мобильном. Потом, после того как все-таки считала, все равно не запускалась. В Терминале был такой же вывод, как на последних ссылках.

    Поэтому увлекательный сериал продолжается... надеюсь, он не станет Санта-Барбарой)

    To be continued...

  6. #6
    Join Date
    Jan 2011
    Location
    Vladivostok
    Posts
    633

    Default Re: Viber. Не запускается. OpenSUSE 42.3 XFCE

    зачем из-под рута запускаете?

  7. #7
    Join Date
    Jan 2011
    Location
    Vladivostok
    Posts
    633

    Default Re: Viber. Не запускается. OpenSUSE 42.3 XFCE

    у меня запускается, под обычным юзером ессно

  8. #8

    Default Re: Viber. Не запускается. OpenSUSE 42.3 XFCE

    Quote Originally Posted by kill_it View Post
    зачем из-под рута запускаете?
    А из-под рута Вайбер не должен запускается?

    На самом деле, что из-под рута, что от пользователя - результат один и тот же...

    https://drive.google.com/open?id=1Vn...iPkH66HY2-WLJ1

    Есть подозрение, что это из-за библиотеки libpulse-mainloop-glib0...
    После установки программы требовалась библиотека libpulse-mainloop-glib (без нуля). Может быть в этом причина?
    Кто-то может у себя посмотреть?

    У меня вот так:
    https://drive.google.com/open?id=1Gw...ljxjmbXBOjEnRU

  9. #9
    Join Date
    Aug 2009
    Location
    Russia
    Posts
    2,247

    Default Re: Viber. Не запускается. OpenSUSE 42.3 XFCE

    Quote Originally Posted by SergeyKalchenko View Post

    Я понимаю, что у такого большего сообщества, не может быть не установлен Viber.

    Еще как может! Не все любят ставить левые, неизвестно кем и как собранные бинарники. Может оно еще и биткойны майнит?))
    Но на самом деле русскоязычный раздел давно уже усох, поэтому если вам действительно нужно большое сообщество, то просто пишите в основной англоязычный раздел (естественно на английском), как это сделала Наташа по вашей первой ссылке.

    Ну и пакет просто криво собран. А у kill_it он запускается потому, что у него кеды или что-то Qt-based, а у вас - GTK и qtшному viber чего-то не хватает. Это предположение.

  10. #10
    Join Date
    Jan 2011
    Location
    Vladivostok
    Posts
    633

    Default Re: Viber. Не запускается. OpenSUSE 42.3 XFCE

    Quote Originally Posted by joneone View Post
    Ну и пакет просто криво собран. А у kill_it он запускается потому, что у него кеды или что-то Qt-based, а у вас - GTK и qtшному viber чего-то не хватает. Это предположение.
    xfce в виртуалке

Page 1 of 5 123 ... LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •